StringDistanceFunction (Solr 3.6.2 API)
Keywords: org.apache.solr.search.function.distance.StringDistanceFunction class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.search.function.distance
Class StringDistanceFunction

    java.lang.Object
      org.apache.solr.search.function.ValueSource
          org.apache.solr.search.function.distance.StringDistanceFunction

All Implemented Interfaces:
  Serializable

    public class StringDistanceFunction

extends ValueSource

See Also:
  Serialized Form

Field Summary
`protected StringDistance` | `dist`
`protected ValueSource` | `str1`
`protected ValueSource` | `str2`

Constructor Summary
`StringDistanceFunction(ValueSource str1, ValueSource str2, StringDistance measure)`

Method Summary
`String` | `description()` description of field, used in explain()
`boolean` | `equals(Object o)`
`DocValues` | `getValues(Map context, IndexReader reader)` Gets the values for this reader and the context that was previously passed to createWeight()
`int` | `hashCode()`

Methods inherited from class org.apache.solr.search.function.ValueSource
`createWeight, getSortField, getValues, newContext, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### str1

    protected ValueSource str1

### str2

    protected ValueSource str2

### dist

    protected StringDistance dist

Constructor Detail

### StringDistanceFunction

    public StringDistanceFunction(ValueSource str1,
                                  ValueSource str2,
                                  StringDistance measure)

Parameters:
  `str1` -
  `str2` -
  `measure` -

Method Detail

### getValues

    public DocValues getValues(Map context,
                               IndexReader reader)
                        throws IOException

  Description copied from class: `ValueSource`
  Gets the values for this reader and the context that was previously passed to createWeight()

  Overrides:
    `getValues` in class `ValueSource`
  Throws:
    `IOException`

### description

    public String description()

  Description copied from class: `ValueSource`
  description of field, used in explain()

  Specified by:
    `description` in class `ValueSource`

### equals

    public boolean equals(Object o)

  Specified by:
    `equals` in class `ValueSource`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in class `ValueSource`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD